#include <iostream>
#include "Header.h"

int main() {
	int arr[10]; //= new int[10];
	int range = 100;
	int min = 0;
	int random = rand() % range + min;

	
	std::cout<< "Range: " << range << std::endl;
	for (int i = 0; i < 10; i++) {
		arr[i] = random;
		random = std::rand() % range;
		std::cout << i << " " << arr[i] << std::endl;
	}
	
	int keresett = 64;
	
	//std::cin >> keresett;

	for (int i = 0; i < 10; i++) {
		if (arr[i] == keresett) {
			std::cout << "Megvan a keresett indexe: " << i << std::endl;
			break;
		}
	}

	////////////////////////////
	//sum
	int sum = 0;

	for (int i = 0; i < 10; i++) {
		sum += arr[i];
	}
	std::cout << "sum: " << sum << std::endl;

	//max keres
	int max = arr[0];
	for (int i = 0; i < 10; i++) {
		if (max < arr[i])
			max = arr[i];
	}
	std::cout << "max: " << max << std::endl;

	//min keres
	int min2 = arr[0];
	for (int i = 0; i < 10; i++) {
		if (min2 > arr[i])
			min2 = arr[i];
	}

	std::cout << "min: " << min2 << std::endl;

	std::cout << egy() <<std::endl;

	std::cout << biggest(1, 2, 3) << std::endl;
}